# frozen_string_literal: true

#
# Function 'orawls_oracle_exists' is deprecated. Please use 'wls_install::orawls_oracle_exists
#
#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function(:orawls_oracle_exists) do
  dispatch :orawls_oracle_exists do
    param 'String', :name
    return_type 'Boolean'
  end

  def orawls_oracle_exists(name)
    Puppet.warn_once('deprecations', 'opatch_version', "Function 'orawls_oracle_exists' is deprecated. Please use 'wls_install::orawls_oracle_exists'.")
    call_function('wls_install::orawls_oracle_exists', name)
  end
end
